Cassandra.set_keyspace_args (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.thrift

## Class Cassandra.set_keyspace_args

- java.lang.Object
- - org.apache.cassandra.thrift.Cassandra.set_keyspace_args

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.set_keyspace_args>, org.apache.thrift.TBase<Cassandra.set_keyspace_args,Cassandra.set_keyspace_args._Fields>
  Enclosing class:
    Cassandra

      public static class Cassandra.set_keyspace_args
      extends java.lang.Object
      implements org.apache.thrift.TBase<Cassandra.set_keyspace_args,Cassandra.set_keyspace_args._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.set_keyspace_args>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Cassandra.set_keyspace_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `keyspace`
    `static java.util.Map<Cassandra.set_keyspace_args._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Cassandra.set_keyspace_args()`
    `Cassandra.set_keyspace_args(Cassandra.set_keyspace_args other)` Performs a deep copy on other.
    `Cassandra.set_keyspace_args(java.lang.String keyspace)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(Cassandra.set_keyspace_args other)`
    `Cassandra.set_keyspace_args` | `deepCopy()`
    `boolean` | `equals(Cassandra.set_keyspace_args that)`
    `boolean` | `equals(java.lang.Object that)`
    `Cassandra.set_keyspace_args._Fields` | `fieldForId(int fieldId)`
    `java.lang.Object` | `getFieldValue(Cassandra.set_keyspace_args._Fields field)`
    `java.lang.String` | `getKeyspace()`
    `int` | `hashCode()`
    `boolean` | `isSet(Cassandra.set_keyspace_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetKeyspace()` Returns true if field keyspace is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `void` | `setFieldValue(Cassandra.set_keyspace_args._Fields field, java.lang.Object value)`
    `Cassandra.set_keyspace_args` | `setKeyspace(java.lang.String keyspace)`
    `void` | `setKeyspaceIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetKeyspace()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### keyspace

          public java.lang.String keyspace

    - #### metaDataMap

          public static final java.util.Map<Cassandra.set_keyspace_args._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### Cassandra.set_keyspace_args

          public Cassandra.set_keyspace_args()

    - #### Cassandra.set_keyspace_args

          public Cassandra.set_keyspace_args(java.lang.String keyspace)

    - #### Cassandra.set_keyspace_args

          public Cassandra.set_keyspace_args(Cassandra.set_keyspace_args other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public Cassandra.set_keyspace_args deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<Cassandra.set_keyspace_args,Cassandra.set_keyspace_args._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<Cassandra.set_keyspace_args,Cassandra.set_keyspace_args._Fields>`

    - #### getKeyspace

          public java.lang.String getKeyspace()

    - #### setKeyspace

          public Cassandra.set_keyspace_args setKeyspace(java.lang.String keyspace)

    - #### unsetKeyspace

          public void unsetKeyspace()

    - #### isSetKeyspace

          public boolean isSetKeyspace()

      Returns true if field keyspace is set (has been assigned a value) and false otherwise

    - #### setKeyspaceIsSet

          public void setKeyspaceIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(Cassandra.set_keyspace_args._Fields field,
                           java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<Cassandra.set_keyspace_args,Cassandra.set_keyspace_args._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(Cassandra.set_keyspace_args._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<Cassandra.set_keyspace_args,Cassandra.set_keyspace_args._Fields>`

    - #### isSet

          public boolean isSet(Cassandra.set_keyspace_args._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<Cassandra.set_keyspace_args,Cassandra.set_keyspace_args._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(Cassandra.set_keyspace_args that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(Cassandra.set_keyspace_args other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<Cassandra.set_keyspace_args>`

    - #### fieldForId

          public Cassandra.set_keyspace_args._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<Cassandra.set_keyspace_args,Cassandra.set_keyspace_args._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TBase<Cassandra.set_keyspace_args,Cassandra.set_keyspace_args._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TBase<Cassandra.set_keyspace_args,Cassandra.set_keyspace_args._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2014 The Apache Software Foundation